## autoaudiosink autoaudiosink — Wrapper audio sink for automatically detected audio sink |

## Properties

GstCaps * | filter-caps | Read / Write

## Types and Values

| GstAutoAudioSink

## Object Hierarchy

        GObject
        ╰── GstObject
            ╰── GstElement
                ╰── GstBin
                    ╰── GstAutoAudioSink

## Implemented Interfaces

GstAutoAudioSink implements GstChildProxy.

## Description

autoaudiosink is an audio sink that automatically detects an appropriate audio sink to use. It does so by scanning the registry for all elements that have “Sink” and “Audio” in the class field of their element information, and also have a non-zero autoplugging rank.

### Example launch line

    1
    gst-launch -v -m audiotestsrc ! audioconvert ! audioresample ! autoaudiosink

## Synopsis

### Element Information

plugin | autodetect
author | Jan Schmidt <thaytan@noraisin.net>
class | Sink/Audio

### Element Pads

name | sink
direction | sink
presence | always
details | ANY

## Functions

## Types and Values

### GstAutoAudioSink

    typedef struct _GstAutoAudioSink GstAutoAudioSink;

## Property Details

### The `“filter-caps”` property

      “filter-caps”              GstCaps *

This property will filter out candidate sinks that can handle the specified caps. By default only audio sinks that support raw floating point and integer audio are selected.

This property can only be set before the element goes to the READY state.

Flags: Read / Write

Since 0.10.7

## See Also

autovideosink, alsasink, osssink